import React, { Component } from 'react';
import Images from '../assets/Images';
import { Checkbox, Button, InputAdornment, TextField, InputLabel } from '@material-ui/core';
import { withStyles } from '@material-ui/core/styles';

const CustomCheckbox = withStyles({
  root: {
    color: '#51c6ea',
    '&$checked': {
      color: '#51c6ea',
    },
  },
  checked: {},
})((props) => <Checkbox color="default" {...props} />);

class Login extends Component {
  render() {
    return (
      <div style={{ flex: 1, display: 'flex' }}>
        <div style={{ width: '50%', height: '100vh', display: 'flex', justifyContent: 'center', alignItems: 'center', flexDirection: 'column' }}>
          <img src={Images.tia} />
          <img src={Images.imageLogin} style={{ marginTop: 30 }} />
        </div>
        <div style={{ width: '50%', height: '100vh', backgroundColor: '#51c6ea', display: 'flex', justifyContent: 'center', alignItems: 'center', flexDirection: 'column' }}>
          <div style={{ padding: 60, display: 'flex', flexDirection: 'column', width: 318, height: 351, borderRadius: 12, boxShadow: '0 2 4 0 rgba(0, 0, 0, 0.2)', backgroundColor: '#ffffff' }}>
            <img src={Images.tia} />

            <TextField
              label="Username/Email *"
              id="username"
              type={"text"}
              name={"username"}
              variant="outlined"
              error={false}
              style={{ width: '100%', height: 51, marginTop: 32 }}
              helperText=""
              InputProps={{
                endAdornment: <InputAdornment position="end"><img src={Images.email} /></InputAdornment>,
              }}
            />

            <TextField
              label="Kata Sandi *"
              id="password"
              type={"password"}
              name={"password"}
              variant="outlined"
              error={true}
              style={{ width: '100%', height: 51, marginTop: 12 }}
              helperText=""
              InputProps={{
                endAdornment: <InputAdornment position="end"><img src={Images.key} /></InputAdornment>,
              }}
            />

            <div style={{ flexDirection: 'row', width: '100%', marginTop: 16 }}>
              <CustomCheckbox name="checked-remember" />
              <span style={{ color: 'rgba(0, 0, 0, 0.5)' }}>Remember Me</span>
              <span style={{marginLeft: 30, color: '#51c6ea', cursor: 'pointer' }}>Lupa Kata Sandi?</span>
            </div>
            <Button variant="contained" style={{ marginTop: 23,  width: '100%', height: 35, borderRadius: 4 }} disabled>
              Login
            </Button>
          </div>
        </div>
      </div >
    );
  }
}

export default Login;
